Subject: Re: Getting a branch's time of creation

From: Jakub Narebski <[email-masked]>
Date: Fri, 19 Mar 2010 13:54:41 -0700 (PDT)

jateeq <[email-masked]> writes:

> I am trying to find the time at which a remote branch was created, so that I
> can use the '--since' option in git log to limit the commits to only ones
> that were created for that branch (read below to see why I can't use 'git
> log <branchnname>). So my question: does git remember the time at which a
> branch was created, and how can it be listed?
[...]

> If anyone has suggestions on doing this alternatively, feel free to pitch
> in. Thank you.

It looks like an XY problem to me: you are asking how to get about
specific solution, instead of about how to solve a problem.

If you know what branch was remote branch created from, you can simply
use

  $ git log <base>..<branch>

which translates into

  $ git log <branch> ^<base>

which means everything in <branch> that is not present in <base>.
(Assuming that <branch> is the branch you are interested in, and
<base> is the branch it was branched off).

<base> might be result of "git config --get branch.<branch>.merge"
(if the upstream was correctly configured).

You can also get branching point with

  $ git merge-base --all <base> <branch>

-- 
Jakub Narebski
Poland
ShadeHawk on #git